## pandoc 3.1.11.1+ds

=== debian/changelog ===
pandoc (3.1.11.1+ds-4) unstable; urgency=medium

  * stop build-depend on dh-buildinfo; thanks to наб
  * declare package-relations in control file
    (not via CDBS variables in rules file);
    closes: bug#1115904, thanks to Alexandre Detiste
  * update watch file: use file format 5

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 21 Sep 2025 15:14:55 +0200

pandoc (3.1.11.1+ds-3) unstable; urgency=medium

  * suggest python3 (not python);
    closes: bug#1110484, thanks to Alexandre Detiste
  * declare compliance with Debian Policy 4.7.2

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 11 Aug 2025 12:16:16 +0200

pandoc (3.1.11.1+ds-2) unstable; urgency=medium

  * stop omitting Lua scripting engine on architecture ppc64 ppc64el;
    closes: bug#1085138, thanks to Ilias Tsitsimpis

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 15 Oct 2024 13:12:29 +0200

pandoc (3.1.11.1+ds-1) unstable; urgency=medium

  [ upstream ]
  * new release(s);
    closes: bug#1084227, #1084772, #1068734, #1085135,
    thanks to Bjarni Ingi Gislason, Fab Stz and Sylvestre Ledru

  [ Gianfranco Costamagna ]
  * work around linking issue on loong64,
    and stop treat loong64 as low-memory architecture;
    closes: bug#1071205, thanks to Dandan Zhang

  [ Jonas Smedegaard ]
  * tighten build-dependency on libghc-pandoc-dev
  * update rule to generate man page,
    apparently no longer needing filter files existing ahead of build

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 15 Oct 2024 12:09:54 +0200

pandoc (3.1.3+ds-3) unstable; urgency=medium

  * add loong64 as low-memory architecture;
    closes: bug#1069179, thanks to Dandan Zhang
  * declare compliance with Debian Policy 4.7.0

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 21 Apr 2024 01:16:47 +0200
