## pandoc 3.7.0.2+ds

=== debian/changelog ===
pandoc (3.7.0.2+ds-1) unstable; urgency=medium

  * Team upload.

  [ upstream ]
  * new release(s);
    closes: bug#1098377, #1128159

  [ Scott Talbert ]
  * adjust build-depends for new release

 -- Scott Talbert <swt@techie.net>  Tue, 17 Feb 2026 20:36:12 -0500
