=== debian/control ===
--- 
+++ 
@@ -18,9 +18,9 @@
  libghc-hslua-cli-dev (<< 1.5),
  libghc-hslua-cli-dev (>= 1.4.1),
  libghc-hslua-cli-prof,
- libghc-pandoc-dev (>= 3.1.11.1),
- libghc-pandoc-lua-engine-dev (<< 0.3),
- libghc-pandoc-lua-engine-dev (>= 0.2),
+ libghc-pandoc-dev (>= 3.7.0.2),
+ libghc-pandoc-lua-engine-dev (<< 0.5),
+ libghc-pandoc-lua-engine-dev (>= 0.4.3),
  libghc-pandoc-lua-engine-prof,
  libghc-pandoc-prof,
  libghc-temporary-dev (<< 1.4),
