## pandoc 3.7.0.2+ds1

=== debian/changelog ===
pandoc (3.7.0.2+ds1-1) unstable; urgency=medium

  * Migrate to DHG monorepo (w/ Jonas permission)
  * Build using dh-haskell (Closes: #1124807)

 -- Scott Talbert <swt@techie.net>  Mon, 02 Mar 2026 19:44:28 -0500
