=== debian/control ===
--- 
+++ 
@@ -1,14 +1,15 @@
 Source: pandoc
 Section: text
 Priority: optional
-Maintainer: Debian Haskell Group <debian-haskell@lists.debian.org>
+Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
 Uploaders:
  Jonas Smedegaard <dr@jones.dk>,
  Kiwamu Okabe <kiwamu@debian.or.jp>,
  Clint Adams <clint@debian.org>,
+ Scott Talbert <swt@techie.net>,
 Build-Depends:
- cdbs,
- debhelper,
+ debhelper-compat (= 13),
+ dh-sequence-haskell,
  alex,
  bash-completion,
  ghc,
@@ -28,8 +29,8 @@
  pandoc-data,
 Standards-Version: 4.7.2
 Homepage: https://pandoc.org/
-Vcs-Git: https://salsa.debian.org/haskell-team/pandoc.git
-Vcs-Browser: https://salsa.debian.org/haskell-team/pandoc
+Vcs-Browser: https://salsa.debian.org/haskell-team/DHG_packages/tree/master/p/pandoc
+Vcs-Git: https://salsa.debian.org/haskell-team/DHG_packages.git [p/pandoc]
 Rules-Requires-Root: no
 
 Package: pandoc
